import globals
import mapmaker
import monster
import tile
import exceptions
import equipment
import item
import interface
import user

game_objects = []

def setup_player():
	"Setup the player"
	global player
	player = user.Player((10, 10), weapon = equipment.Crowbar())
	light  = item.LightSource(player, "lantern", None, 1.5, (20, 5))
	add_object(player)
	add_object(light)


def init():
	"Create the game"
	global map	
	map = mapmaker.wall_map()
	mapmaker.draw_rect(map, tile.Floor, (10, 10), (10, 10))
	mapmaker.draw_rect(map, tile.Wall, (12, 14), (5, 2))
	
	setup_player()
	add_object(monster.Monster((15, 17)))
	add_object(monster.Monster((16, 17)))
	add_object(item.Torch(map[11][18]))
	
	
def add_object(object):
	"Add an object to the list of active game objects."
	global game_objects
	game_objects.append(object)


def gameover():
	interface.state = interface.death


def poll():
	"Update the game's objects."
	global game_objects

	# Weed out dead objects
	game_objects = filter(lambda x : not x.dead, game_objects)
	
	# Run custom updates
	for object in game_objects:
		object.update()
