import globals
import error
import game
import interface
import display
import mob
import status

# Interface state types
# The current status of the game depends on what keys are used. The arrow keys
# are used to move the character around in 'game' mode, but may be used for
# something different in 'inventory' mode, for instance.
world, pager, death = range(3)

# Setup starting status
state = world

def next_status_message():
	global state
	status.next_message()
	if not status.messages_waiting():
		state = world
	display.refresh()

def wait_a_turn():
	globals.turn += 1

def pick_up_item():
	items = game.player.tile.items
	if len(items) > 0:
		game.player.take_item(items[0])

def move_player((dx, dy)):
	"Move a player by a relative x and y."
	x, y = game.player.tile.position
	try:
		game.player.walk((dx, dy))
	except error.InvalidMobMove:
		return False
		
	return True

def move_player_north():
	return move_player((0, -1))

def move_player_south():
	return move_player((0, 1))

def move_player_east():
	return move_player((1, 0))

def move_player_west():
	return move_player((-1, 0))
