import interface
import globals
import pygame
from pygame.locals import *

# This used to be a dictionary, however an array proved to be simpler when I
# introduced function that responded to any key. Since the number of interface
# functions is small, iterating through them all should not affect efficiency
# by much.
keymap = []

def add(key, function, type = None):
	"Add new key to keymap"
	keymap.append((key, type, function))

def poll():
	"Poll keyboard events."
	events = pygame.event.get([KEYDOWN])
	for event in events:
		for (key, type, function) in keymap:
			if (key is None or event.key == key) and (
				 type is None or type == interface.state):
				function()
