import globals
import keymap
import game
import light
import interface
import display
import status
import pygame
import sys
from pygame.locals import *

display.init()
game.init()

# Add keys to functions
keymap.add(K_UP, interface.move_player_north, interface.world)
keymap.add(K_DOWN, interface.move_player_south, interface.world)
keymap.add(K_LEFT, interface.move_player_west, interface.world)
keymap.add(K_RIGHT, interface.move_player_east, interface.world)
keymap.add(K_SPACE, interface.wait_a_turn, interface.world)
keymap.add(K_COMMA, interface.pick_up_item, interface.world)

keymap.add(None, interface.next_status_message, interface.pager)
keymap.add(None, sys.exit, interface.death)
keymap.add(K_q, sys.exit)

while True:

	# Poll events
	keymap.poll()
	events = pygame.event.get([QUIT])
	if events != []:
		sys.exit()
	pygame.event.clear()
	
	# If we the turn has ended...
	if globals.turn > globals.last_turn:
		display.refresh()
		light.blackout()
		game.poll()
		globals.last_turn = globals.turn
	
	# Draw display
	display.render()
	pygame.display.flip()
	pygame.time.wait(30)
	
	# Check pending status messages
	if status.messages_waiting() and interface.state == interface.world:
		interface.state = interface.pager
	else:
		status.clear_messages()
