import tile
import globals

def set_tile(tilemap, tile_class, (x, y)):
	"Set a tile on a tilemap."
	if x < 0 or y < 0:
		raise IndexError
	tilemap[y][x] = tile_class((x, y))

def get_tile(tilemap, (x, y)):
	"Get a tile from a tilemap."
	if x < 0 or y < 0:
		raise IndexError
	return tilemap[y][x]


def blank_map(tile_class):
	"A map consisting entirely of one type of tile."
	return [[tile_class((x, y)) for x in range(globals.map_size[0])]
	        for y in range(globals.map_size[1])]

def floor_map():
	"A map consisting entirely of floor tiles."
	return blank_map(tile.Floor)

def wall_map():
	"A map consisting entirely of wall tiles."
	return blank_map(tile.Wall)

def draw_rect(tilemap, tile_class, (x, y), size):
	for i in range(size[0]):
		for j in range(size[1]):
			tilemap[y + j][x + i] = tile_class((x + i, y + j))
