import globals

messages = []
current_message = ""

def add_message(message):
	"Add a message to the queue."
	messages.append(message)

def get_current_message():
	"Get the current message, updating if needs be."
	if current_message == "":
		next_message()
	return current_message


def next_message():
	"Get the next waiting messages."
	global current_message
	
	if len(messages) == 0:
		return

	current_message = messages.pop(0)

	# If we have space on the status bar, stuff some more in.
	while len(messages) > 0:
		if (len(current_message) + len(messages[-1])) > globals.status_length:
			break
		else:
			current_message += " " + messages.pop(0)


def clear_messages():
	global messages, current_message
	messages = []
	current_message = ""


def messages_waiting():
	"Returns true if messages are waiting."
	return len(messages) > 0
